Instalando TweetDeck no Ubuntu

Posted On 19 maio, 2009

Filed under Dicas
Tags: , , ,

Comments Dropped one response

OK o passo mais difícil para instalar o TweetDeck que eu achei foi o download já que o flash do Site do TweetDeck não funcionou aqui no meu firefox, nem no opera, nem no epiphany.

Solução? Burlar o sistema =P

o link da aplicação é formada da seguinte maneira:
http://www.tweetdeck.com/beta/%5BAplicativo%5D_%5BVersão%5D.%5Bextenção%5D

depois disso ficou fácil né. bom quero baixar a ultima versão então o link fica ssim

http://www.tweetdeck.com/beta/TweetDeck_0_25.air

Baixou? vamos instalar:

Aplicações->Acessórios -> Adobe AIR Application Installer

Então selecione o pacote que você acaba de baixar, mande instalar, indique um local no qual você deseja que ele seja instalado. irá pedir sua senha e pronto a aplicação vai abrir automaticamente!

Acesse o novo novo Dominio com todas esses posts atualizados e novos e interessantes outros posts. acesse já www.redrails.com.br

Problemas ao instalar Fast-Debuger (ruby-debug)

Posted On 27 outubro, 2008

Filed under Dicas
Tags: , ,

Comments Dropped leave a response

Sempre tiver bastante problemas com essa GEM, mas por besteira minha mesmo, alguem pode cair nessa besteira também por isso vou compartilhar =)

Não me recordo do primeiro erro, mas bastou instalar o build-essencial (no Ubuntu) para tudo funcionar, para seu S.O. é instalar o pacote de compilação padrão.

Mesmo assim gerou esse segundo erro.

maxprox@maxprox-desktop:~$ sudo gem install ruby-debug-0.10.0.gem
Building native extensions.  This could take a while...
ERROR:  Error installing ruby-debug-0.10.0.gem:
ERROR: Failed to build gem native extension.

/usr/bin/ruby1.8 extconf.rb install ruby-debug-0.10.0.gem
extconf.rb:1:in `require': no such file to load -- mkmf (LoadError)
from extconf.rb:1

Gem files will remain installed in /usr/lib/ruby/gems/1.8/gems/ruby-debug-base-0.10.0 for inspection.
Results logged to /usr/lib/ruby/gems/1.8/gems/ruby-debug-base-0.10.0/ext/gem_make.out

Então Bastou instalar o ruby1.8-dev, no Ubunto necessita apenas de ir no synaptic e pedir para instalar.

pronto. problema resolvido.

maxprox@maxprox-desktop:~/Área de Trabalho$ sudo gem install ruby-debug-0.10.2.gem 
Building native extensions.  This could take a while...
Building native extensions.  This could take a while...
Successfully installed linecache-0.43
Successfully installed ruby-debug-base-0.10.2
Successfully installed ruby-debug-0.10.2
3 gems installed
Installing ri documentation for linecache-0.43...
Installing ri documentation for ruby-debug-base-0.10.2...
Installing ri documentation for ruby-debug-0.10.2...
Installing RDoc documentation for linecache-0.43...
Installing RDoc documentation for ruby-debug-base-0.10.2...
Installing RDoc documentation for ruby-debug-0.10.2...

Colocando Códigos Coloridos no WordPress

Posted On 23 outubro, 2008

Filed under Dicas
Tags: , , ,

Comments Dropped one response

Para quem tem seu wordpress hospedado em dominio próprio é facil, instala-se o wp-sintaxe e tudo fui.

Já quando seu blog está no dominio do WordPress, eles impedem a instalação de plugins por motivos de segurança. escrevi varios posts com os códigos dentro de tags <pre> para poder haver um destaque(ficou Horrível). busquei em varios outros blogs a solução mas nada, até que um dia dando uma olhada no meu Reader Achei o blog do Cassio Marques que estava no dominio do WordPress e utilizava SintaxeHighLighter em seus códigos Ruby. então tive que perguntar, a resposta foi rapida e por incrível que pareca simples.

basta inserir a seguinte tag em modo de edição HTML


SEU CÓDIGO

Esse código chama a função de um plugin chamado dpHighlight que transforma seu código em uma caixa com sintaxe colorida em diversas linguagens. Dei uma olhada no Plugin de acordo com eu ele colore as seguintes linguagens:

Php – “php”
Xml – “xml”
C# – “csharp”
Delphi – “delphi”
JavaScript – “jscript”
Python – “python”
Sql – “sql”
Visualbasic – “vb”
Ruby – “ruby”
Css – “css”
C++ – “cpp”
Java – “java”

DEMO

PHP


@a = "aa"

[a,1,:d=&gt;'s']

Ruby


@a = "aa"

[a,1,:d=&gt;'s']

CSharp


@a = "aa"

[a,1,:d=&gt;'s']

🙂

Hospedando imagem e Animações em flash (swf) para Orkut

Posted On 2 julho, 2008

Filed under Dicas
Tags: , , , , , ,

Comments Dropped 12 responses

Olá Amigos Leitores.

Bom um colega meu hoje me perguntou se eu conhecia algum site que hospede animações em flash, os famosos SWF’s.

Bom eu havia passado pelo mesmo problema ontem, utilizava um, que aliasd era muito bom, o SWFUP que infelizmente saiu do ar. Eu estava ajudando uma amiga que queria colocar o convite de seu aniversario. eu ,como sempre, resolvi fazer um pouco mais, vou fazer um cartão animado para colocar no orkut. fiz o bendito cartão, mas quando fui hospedar o site não mais existia. então passei por varios outros ate encontrar o ImageShack.

ImageShack  logo

Ele chega a ser melhor que o SWFUP em muitos aspectos vale apena conferir.